2 Replies Latest reply: Nov 2, 2012 8:34 AM by DrBWJones
jepicondyle Level 1 Level 1 (0 points)

A few days ago, I tried to open Mail and have all of a sudden encountered this error message:


"You can't use this version of Mail with this version of Mac OS X.


You have Mail version 6.0 (1486/1498). It can't be used on Mac OS X Version 10.8.2 (Build 12C54)."


As far as I understand, Mail is not a standalone App and is downloaded with each revision of OS X, right? I checked for possible software updates, and can't find any.


Any suggestions? Thanks.